Delete a synonym rule

Auth

Delete a synonym rule from a synonym set.

Required privileges

Cluster privileges manage_search_synonyms

Path parameters

set_id string required

The ID of the synonym set to update.

rule_id string required

The ID of the synonym rule to delete.

Response

application/json
result enum required

The update operation result.

Values: created updated deleted not_found noop
reload_analyzers_details object required

Updating synonyms in a synonym set reloads the associated analyzers. This information is the analyzers reloading result.

reload_details object[] required
index string required
reloaded_analyzers string[] required
reloaded_node_ids string[] required
_shards object required
failed number required

The number of shards the operation or search attempted to run on but failed.

successful number required

The number of shards the operation or search succeeded on.

total number required

The number of shards the operation or search will run on overall.

skipped number